Bug 866133 - printing attached PDF file takes forever
printing attached PDF file takes forever
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 05:20 EDT by Dimitri Papadopoulos
Modified: 2013-12-21 08:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-21 08:44:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF file that I cannot print (207.40 KB, application/pdf)
2012-10-14 05:20 EDT, Dimitri Papadopoulos
no flags Details
output of "top" showing "pdftops" process (606 bytes, text/x-log)
2012-10-14 05:21 EDT, Dimitri Papadopoulos
no flags Details
PDF file /var/spool/cups/d00172-001 (8.73 MB, application/octet-stream)
2012-10-14 05:33 EDT, Dimitri Papadopoulos
no flags Details

  None (edit)
Description Dimitri Papadopoulos 2012-10-14 05:20:45 EDT
Created attachment 626845 [details]
PDF file that I cannot print

Description of problem:
Attempting to print the specific attached PDF file to an HP Photosmart C5390 printer takes forever - I end up cancelling the print job after more than 15 minutes.

Version-Release number of selected component (if applicable):
poppler-utils-0.18.4-3.fc17.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Load the attached PDF file into Evince.
2. Print it to an HP Photosmart C5390  printer.
3. See "pdftops" running at 100% CPU. Nothing is printed. Wait for more than 15 minutes before cancelling the print job.
  
Actual results:
PDF file should be printed.

Expected results:
PDF file is not printed.
Comment 1 Dimitri Papadopoulos 2012-10-14 05:21:55 EDT
Created attachment 626846 [details]
output of "top" showing "pdftops" process
Comment 2 Dimitri Papadopoulos 2012-10-14 05:33:28 EDT
Created attachment 626848 [details]
PDF file /var/spool/cups/d00172-001

The command line of the "pdftops" process that takes forever is:

$ ps -ww -fp 5303
UID        PID  PPID  C STIME TTY          TIME CMD
lp        5303  5299 99 11:01 ?        00:26:06 pdftops -level3 -origpagesizes /var/spool/cups/d00172-001 -
$ 

Please find attached this PDF file d00172-001 from the print spool.
Comment 3 Fedora End Of Life 2013-07-03 21:03:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-12-21 04:07:13 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Dimitri Papadopoulos 2013-12-21 08:44:30 EST
Just tested on Fedora 19 with poppler-utils-0.22.1-5.fc19.x86_64 and the bug seems to have been fixed:

I was able to print the PDF from evince without problem.

Directly running "pdftops" also works:

$ time pdftops -level3 -origpagesizes Page2.pdf

real	0m1.084s
user	0m1.020s
sys	0m0.059s
$

Note You need to log in before you can comment on or make changes to this bug.